Subject: Re: [RFC/PATCH 0/3] JSON/XML output for scripting interface

From: Eric Raymond <[email-masked]>
Date: Sun, 11 Apr 2010 18:34:55 -0400

Jon Seymour <[email-masked]>:
> [ And, yes, I understand that to making line-oriented formats a
> backend would be a reasonably invasive change to existing code that
> would involve a level of indirection and abstraction that may not be
> to everyone's taste. ]

For whatever my opinion is worth I think this is a good direction to
go in.  I think it fits the well-established git design philosophy of
separating content manipulation (plumbing) from presentation
(porcelain).
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>